// (c) 2008 Nerdfever.com

#ifndef __DEBUG_H
#define __DEBUG_H

#include "djllib.h"
#include "hardware.h"

#define	CPU_BUSY	(HIGH)
#define CPU_IDLE	(LOW)

// NOTE: These macros affect ISR timing - that's why they are not conditional anymore

//#ifdef __DEBUG					// if this is a debug build

	#define SET_DEBUG_STATE(x)  (SPEEDO = (x))
	#define PUSH_DEBUG_STATE()	UINT8 pushed_debug_state = SPEEDO
	#define POP_DEBUG_STATE()	(SPEEDO = pushed_debug_state)

//#else							// if this is a release build (do nothing)

//	#define SET_DEBUG_STATE(x)
//	#define PUSH_DEBUG_STATE()
//	#define POP_DEBUG_STATE()

//#endif	// __DEBUG build

#endif // __DEBUG_H
