// (c) 2006-2008 Nerdfever.com

#ifndef __STATEMACHINE_H
#define __STATEMACHINE_H


// States

#define NONE					(0)

#define	IDLE					(1)			// idle, preflight reset & power-up state
#define	ARMED					(2)			// armed, (will fly on launch if in "Danger" substate)
#define TIMEDLAUNCH				(3)			// for ground test only - goes to FLIGHT on timeout
#define	FLIGHT					(4)			// in flight
#define	FULL					(5)			// flash log buffer full
#define TEST					(6)			// test mode

	// substates for ARMED

#define	SAFE					(1)
#define	DANGER					(2)

	// substates for FLIGHT

#define ASCENT					(1)
#define APOGEE 					(2)
#define DESCENT					(3)

void enterIDLE(void);
#define InitStateMachine()	(enterIDLE())
void StateMachine(void);

#endif // __STATEMACHINE_H