// (c) 2006, 2007 Nerdfever.com
// This version for "Rev3" hardware board (1st PCB version)

#ifndef __COMPASS_H
#define __COMPASS_H

// HARDWARE ABSTRACTIONS

	// Outputs

#define COMPASS_CLK	(LATCbits.LATC3)	// compass clock
#define COMPASS_EN_	(LATCbits.LATC4)	// compass enable* (active low)
#define COMPASS_OUT	(LATCbits.LATC5)	// compass data out

	// Inputs

#define COMPASS_IN	(PORTCbits.RC5)		// compass data in

	// Bidirectional I/O
#define COMPASS_DIR	(TRISCbits.TRISC5)	// compass data I/O direction

// FUNCTION PROTOTYPES

void compass_reset(void);
void compass_start(void);
UINT32 compass_read(void);
INT16 compass_rawToDegrees(INT32 compass_raw);
INT16 compass_degrees(void);

#endif // __COMPASS_H
